# GNUmakefile          Section: 13.2, Hopfield
#      Copyright 1994, Center for Computer Vision and Visualization,
#      University of Florida.  All rights reserved.
#
# See comments in  gnumake.iah for description of symbols.

#######################################################################
# Modify the following symbols to control compilation
#######################################################################

BLASTABLE_PTFILES =
CLOSUREOBJS       =

HEADERS = hopfield.h make-examplars.h
LOBJS   = hopfield.o make-examplars.o

SOURCES	= hopfield.h hopfield.c \
	  hopfield-weights.h  hopfield-weights.c \
	  test-hopfield.c \
	  make-examplars.h make-examplars.c \
	  display-examplars.c \
	  convert-hopfield-images.h convert-hopfield-images.c \
	  test-convert.c
TESTS	= test-hopfield  display-examplars  test-convert

ARL =
EXTRAINCLUDES =
CPPFLAGS =

OUTPUT_OPTION =
TARGET_ARCH   =
XTRAFLAGS     =
XTRACCFLAGS   =

# Make this nothing if you do not want programs striped.
STRIPPROGRAMS = anystring-means-strip--no-string-means-do-not-strip

#######################################################################
include	../../gnumake.iah
#######################################################################

#######################################################################
#####	User program dependencies and rules follow
#######################################################################

convert-hopfield-images.o: convert-hopfield-images.c convert-hopfield-images.h

test-convert: test-convert.o convert-hopfield-images.o
	$(LINK.cc) -o $@ $@.o convert-hopfield-images.o $(LDLIBS)
	strip $@


make-examplars.o:  make-examplars.h  make-examplars.c

display-examplars: display-examplars.o make-examplars.o \
		convert-hopfield-images.o
	$(LINK.cc) -o $@ $@.o make-examplars.o \
		convert-hopfield-images.o  $(LDLIBS)
	strip $@


hopfield-weights.o:	hopfield-weights.h  hopfield-weights.c

hopfield.o:	hopfield.h  hopfield.c


test-hopfield: test-hopfield.o make-examplars.o \
		convert-hopfield-images.o hopfield.o
	$(LINK.cc) -o $@ $@.o make-examplars.o \
		convert-hopfield-images.o hopfield.o $(LDLIBS)
	strip $@
